[Bug 633912] [NEW] Ubuntu 10.04 ./. MySQL ./. Konfiguring InnoDB-Plugin for MySQL will not work, because of AppArmor

Erkan Yanar erkan.yanar at linsenraum.de
Thu Sep 9 11:32:49 BST 2010


Public bug reported:


Changing my.cnf to use the InnoDB-Plugin 
#v+

ignore-builtin-innodb

plugin-
load=innodb=ha_innodb_plugin.so;innodb_trx=ha_innodb_plugin.so;innodb_locks=ha_innodb_plugin.so;innodb_lock_waits=ha_innodb_plugin.so;innodb_cmp=ha_innodb_plugin.so;innodb_cmp_reset=ha_innodb_plugin.so;innodb_cmpmem=ha_innodb_plugin.so;innodb_cmpmem_reset=ha_innodb_plugin.so

#v-

Gives an Error:
100909  0:16:27 [ERROR] Can't open shared library '/usr/lib/mysql/plugin/ha_innodb_plugin.so' (errno: 0 failed to map segment from shared object: Permission denied)

Changing /etc/apparmor.d/usr.sbin.mysqld by adding following line:
 /usr/lib/mysql/plugin/* m,
keeps AppArmor quiet and the InnoDB-Plugin happy and working.

Thx
erkan

** Affects: mysql-5.1 (Ubuntu)
     Importance: Undecided
         Status: New

-- 
Ubuntu 10.04 ./. MySQL ./. Konfiguring InnoDB-Plugin for MySQL will not work, because of AppArmor
https://bugs.launchpad.net/bugs/633912
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to mysql-5.1 in ubuntu.



More information about the Ubuntu-server-bugs mailing list